node.default['hal8000']['http_port'] = 8080

node.default['botka_freenode']['http_port'] = 8081
node.default['botka_freenode']['domain'] = "freenode.botka.kosmos.org"

node.default['hal8000_xmpp']['http_port'] = 8082
node.default['hal8000_xmpp']['domain'] = "hal8000.chat.kosmos.org"

node.default['hal8000_xmpp']['hubot_scripts'] = [
  "hubot-help", "hubot-read-tweet", "hubot-redis-brain",
  "hubot-rules", "hubot-shipit", "hubot-plusplus",
  "hubot-tell", "hubot-seen", "hubot-rss-reader",
  "hubot-incoming-webhook", "hubot-auth",
  "hubot-kredits", "hubot-schedule"
]

node.default['hal8000_xmpp']['rooms'] = [
  'kosmos@kosmos.chat',
  'kosmos-dev@kosmos.chat',
  'kredits@kosmos.chat',
]

node.default['hal8000_xmpp']['auth_admins'] = []

node.default['hal8000_xmpp']['kredits']['ipfs_host']             = 'localhost'
node.default['hal8000_xmpp']['kredits']['ipfs_port']             = '5001'
node.default['hal8000_xmpp']['kredits']['ipfs_protocol']         = 'http'
node.default['hal8000_xmpp']['kredits']['room']                  = 'kredits@kosmos.chat'
node.default['hal8000_xmpp']['kredits']['provider_url']          = 'https://rinkeby.infura.io/v3/c5e74367261d475ab935e2f0e726482f'
node.default['hal8000_xmpp']['kredits']['network_id']            = '4'
node.default['hal8000_xmpp']['kredits']['wallet_path']           = 'wallet.json'
node.default['hal8000_xmpp']['kredits']['mediawiki_url']         = 'https://wiki.kosmos.org/'
node.default['hal8000_xmpp']['kredits']['github_repo_blacklist'] = '67P/test-one-two'
node.default['hal8000_xmpp']['kredits']['gitea_repo_blacklist']  = 'kosmos/test-one-two'
node.default['hal8000_xmpp']['kredits']['web_url']               = 'https://kredits.kosmos.org'
