node.default['kosmos-ipfs']['ipfs']['config'] = {
  # The default gateway is already used by kosmos' hubot (8080)
  "Addresses.Gateway" => "/ip4/127.0.0.1/tcp/9090",
  # Do not keep track of bandwidth metrics. Disabling bandwidth metrics can
  # lead to a slight performance improvement, as well as a reduction in memory
  # usage.
  'Swarm.DisableBandwidthMetrics' => true,
  # Disable the p2p-circuit relay transport
  'Swarm.DisableRelay' => true,
  # Number of connections that, when exceeded, will trigger a connection GC
  # operation
  'Swarm.ConnMgr.HighWater' => 40,
  # Minimum number of connections to maintain
  'Swarm.ConnMgr.LowWater' => 20
}

node.default['kosmos-ipfs']['nginx']['api_port'] = 5001
node.default['kosmos-ipfs']['nginx']['gateway_port'] = 9090
node.default['kosmos-ipfs']['nginx']['external_api_port'] = 5444
node.default['kosmos-ipfs']['nginx']['domain'] = "ipfs.kosmos.org"

node.default['kosmos-ipfs']['kredits-pinner']['revision'] = "v1.0.2"
