current_dir = File.dirname(__FILE__)

cookbook_path             ["#{current_dir}/../site-cookbooks"]
node_path                 "nodes"
role_path                 "roles"
environment_path          "environments"
data_bag_path             "data_bags"
encrypted_data_bag_secret "#{current_dir}/encrypted_data_bag_secret"
local_mode                true # Chef local mode, replacing Solo
chef_zero.enabled true

cookbook_copyright     'Kosmos'
cookbook_license       'none'
cookbook_email         'mail@kosmos.org'

# Enable knife-solo's Berkshelf integration
knife[:berkshelf] = true
# Set Chef version installed by `knife solo prepare`
knife[:bootstrap_version] = "14.11.21"
