# ejabberd

The kosmos.org XMPP server is running on `andromeda.kosmos.org`. JIDs are
username@kosmos.org, with the server being configured in DNS to use
`xmpp.kosmos.org` and MUC on `chat.kosmos.org`.

* [Configuring ejabberd](https://docs.ejabberd.im/admin/configuration)
* [XEP compliance tester](https://compliance.conversations.im/server/kosmos.org/)
* [ejabberdctl reference](https://docs.ejabberd.im/admin/guide/managing/#ejabberdctl-commands)

### Common ejabberdctl tasks

(These things can also be done through a client that supports admin actions, or
through the admin web interface.)

## Create a user account

    sudo /opt/ejabberd-18.06/bin/ejabberdctl register username kosmos.org password

## Change a user's password

    sudo /opt/ejabberd-18.06/bin/ejabberdctl change_password username kosmos.org new_password

## List users

    sudo /opt/ejabberd-18.06/bin/ejabberdctl registered_users kosmos.org
